﻿// フォルダ内にあるQuickTimeムービーのサムネール画像(JPEG)を作成する
(function(){
	var w = 384;	// サムネール画像の横幅
	var h = 216;	// サムネール画像の縦幅
	var folderObj = Folder.selectDialog("QuickTimeムービーがあるフォルダを選択してください");
	if (!folderObj) return;
	var saveUnit = preferences.rulerUnits;	// 単位設定を保存
	preferences.rulerUnits = Units.PIXELS;
	var fileList = folderObj.getFiles("*.mov");
	for(var i=0; i<fileList.length; i++){
		app.open(fileList[i]);
		app.activeDocument.resizeImage(w, h);	// サムネール画像のサイズ
		var fileObj = new File(fileList[i].path + "/"+ fileList[i].name.split(".mov")[0]+".jpg");
		var jpegOpt = new JPEGSaveOptions();
		jpegOpt.embedColorProfile = true;
		jpegOpt.quality = 8;
		jpegOpt.formatOptions = FormatOptions.PROGRESSIVE;
		jpegOpt.scans = 3;
		jpegOpt.matte = MatteType.NONE;
		app.activeDocument.saveAs(fileObj, jpegOpt, true, Extension.LOWERCASE);
		app.activeDocument.close(SaveOptions.DONOTSAVECHANGES);
	}
	preferences.rulerUnits = saveUnit;	// 元の単位に戻す
})();